Subject: [Mip6] RE: [Mip4] MIPv4/MIPv6-IPv4/IPv6 interaction bar-bof

From: "Tsirtsis George" <[email-masked]>
Date: Wed, 25 Feb 2004 09:01:21 -0500

Henrik,

I am not entirely sure what some of the combinations implied below mean...
like "IPv4 only node with MIPv6 and v6HA". Such combinations do not work and
*do not need* to work. So, I either misunderstood your e-mail or the scope of
the discussion is smaller than you imply.

If you are an IPv4 ONLY mobile then you have to use MIPv4 and a v4HA ...no
choice really.
If you are an IPv6 ONLY mobile then you have to use MIPv6 and a v6HA ...no
choice really.

The question is what you use if you are Dual-Stack.

The IESG asked us a while ago to write a problem statement on this, which we
did (recently resubmitted), see
http://www.ietf.org/internet-drafts/draft-tsirtsis-dsmip-problem-02.txt. I
would suggest people have a look at that and try to think if we have missed
something in the problem statement. 

The BAR-BOF should as a minimum examine the problem statement and suggest
additions/changes if required. Now, if we also figure out how much interest
there is in the subject and which WG(s) is(are) going to take up any work
that is required, that would be a result!

George

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Henrik Levkowetz
> Sent: Wednesday, February 25, 2004 1:33 AM
> To: [email-masked]; [email-masked]
> Cc: Pete McCann; Pekka Savola; Jonne Soininen; Basavaraj Patil; Gopal
> Dommety
> Subject: [Mip4] MIPv4/MIPv6-IPv4/IPv6 interaction bar-bof
> 
> 
> 
> Proposal of a bar-bof
> ---------------------
> 
> With the coming (we hope) of heterogenous deployment of IPv4 and IPv6
> access and transport networks, and Mobile Nodes with MIPv4 
> and/or MIPv6
> capability and IPv4 and/or IPv6 stacks, the question has been raised
> of how to best run Mobile IP in such circumstances, and some solutions
> has been proposed.  
> 
> The "trivial cases" of MIP4 carrying IPv4 in an all-IPv4 network, and
> MIP6 carrying IPv6 in an all-IPv6 network are covered in the MIPv4 and
> MIPv6 standards.  But by one way of counting, that still 
> leaves about 6
> combinations (14 if you count NAT-PT versions) which may occur in
> practice which are not covered by the current standards.  A number of
> drafts (some mentioned below) has been written, proposing solutions
> to some of these cases.
> 
> Some cases may be handled without any additional MIP work if other
> transition mechanisms such as e.g. ISATAP is available, but 
> as a Mobile
> Node may be expected to come across all conceivable kinds of visited
> networks, it cannot rely on any particular other transition mechanism
> being in place.
> 
> Below is a list of possible combinations of Host IP stack version, MIP
> client/agent version and transport network IP version, followed by a
> short summary of my understanding of where the current and proposed
> solutions fit in.  There exist 8 similar combinations using NAT-PT
> which are not explicitly listed here.
> 
> Which solutions will be needed? Which should we work on?  How much
> interest does this have currently?  
> 
> We plan to hold a bar-bof in Seoul, to see how many show up, and what
> kind of interest there is in this subject.  Place will be announced
> on the lists Monday March 1st, and in the MIP4 and MIP6 sessions.
> 
> 	Henrik
> 
> 
> 
> Table of MIP4/6-IP4/6 combinations:
> ===================================
> 
> #	MN's		MIP		Access	Transpt	Short 
> description
> 	IP-stack	Client		Net	& HA if.	
> ---	--------	------		------	-------	
> -----------------
> 1	IPv4		MIP v4		IP v4	v4	"native MIPv4"	
> 2	IPv6		  "		  "	v4	"IPv6 in MIPv4"	
> 
> 3	IPv4		MIP v6		  "	v4	"IPv4 
> in MIPv6 over IPv4"
> 4	IPv6		  "		  "	v4	"MIPv6 
> over IPv4"
> 
> 5	IPv4		MIP v4		IP v6	v6	"MIPv4 
> over IPv6"
> 6	IPv6		  "		  "	v6	"IPv6 
> in MIPv4 over IPv6"
> 
> 7	IPv4		MIP v6		  "	v6	"IPv4 in MIPv6"
> 8	IPv6		  "		  "	v6	"native MIPv6"
> ---	--------	------		------	-------	
> -----------------
> 
>   Variant 1 is the native IP/MIP combination for v4
> 
>   Variant 2 would be supported by the MIPv4 signalling 
> extensions proposed in
> 	    draft-tsirtsis-v4v6-mipv4-00.txt
> 
>   Variant 5 is known to be supported by an experimental 
> thesis implementation
> 	    and is fairly simple
> 
>   Variant 6 is known to be supported by an experimental 
> thesis implementation
> 	    and is fairly simple
> 
>   Variant 7 would be supported by the MIPv6 signalling 
> extensions proposed in
> 	    draft-soliman-v4v6-mipv4-00.txt
> 
>   Variant 8 is the native IP/MIP combination for v6
> 
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip6

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 25 Feb 2004 15:35:29 +0100

Hi George,

On Wednesday, 25 Feb 2004, Tsirtsis George wrote:
> Henrik,
> 
> I am not entirely sure what some of the combinations implied below
> mean... like "IPv4 only node with MIPv6 and v6HA". Such combinations
> do not work and*do not need* to work. So, I either misunderstood your
> e-mail or the scope of the discussion is smaller than you imply.

You've misunderstood a bit. There's no implied "... only node" for the
first column in the table.  Turn it around, and suppose you have an
application in your dual-stack MN which will only talk IPv4, and what
you have is a MIP6 client and HA.  That's the "IPv4 with MIPv6 and v6HA"
case.  Sorry if the table was insufficiently clear.

[snip]

> The IESG asked us a while ago to write a problem statement on this,
> which we did (recently resubmitted), see
> http://www.ietf.org/internet-drafts/draft-tsirtsis-dsmip-problem-02.txt.
> I would suggest people have a look at that and try to think if we have
> missed something in the problem statement. 

Yes, I saw that just recently but haven't had time to read it.
Was it announced on the mip4 list? I didn't notice it there...
(I also flag all drafts with -mip-, -mobileip-, -mip4-, -mip6- in the
name for reading, but this draft fell through there too... ,:)

Should be able to read it during the next couple of days.

> The BAR-BOF should as a minimum examine the problem statement and
> suggest additions/changes if required. Now, if we also figure out how
> much interest there is in the subject and which WG(s) is(are) going to
> take up any work that is required, that would be a result!

Yes.  The minimum result I would expect is that we mutually understand
the problem area and what needs different people have better after the
bar-bof.

	Henrik

> > Cc: Pete McCann; Pekka Savola; Jonne Soininen; Basavaraj Patil;
> > Gopal Dommety
> > With the coming (we hope) of heterogenous deployment of IPv4 and
> > IPv6 access and transport networks, and Mobile Nodes with MIPv4 
> > and/or MIPv6
> > of how to best run Mobile IP in such circumstances, and some
> > solutions has been proposed.  
> > 
> > The "trivial cases" of MIP4 carrying IPv4 in an all-IPv4 network,
> > and MIP6 carrying IPv6 in an all-IPv6 network are covered in the
> > MIPv4 and MIPv6 standards.  But by one way of counting, that still 
> > leaves about 6
> > practice which are not covered by the current standards.  A number
> > of drafts (some mentioned below) has been written, proposing
> > solutions to some of these cases.
> > 
> > networks, it cannot rely on any particular other transition
> > mechanism being in place.
> > 
> > Below is a list of possible combinations of Host IP stack version,
> > MIP client/agent version and transport network IP version, followed
> > by a short summary of my understanding of where the current and
> > proposed solutions fit in.  There exist 8 similar combinations using
> > NAT-PT which are not explicitly listed here.
> > 
> > We plan to hold a bar-bof in Seoul, to see how many show up, and
> > what kind of interest there is in this subject.  Place will be
> > announced on the lists Monday March 1st, and in the MIP4 and MIP6
> > sessions.
> > 
> > 	Henrik
> > 
> > 
> >